﻿module("VOICE")

distances = {}

distances.patterns = {
	L"3_quarters_of_a_mile",
	L"3_quarters_of_a_mile-e",
	L"Guidi_per_oltre_500_chilometri-e",
	L"Guidi_per_oltre_500_chilometri.",
	L"Guidi_per_oltre_500_miglia.",
	L"Tra_10",
	L"Tra_100",
	L"Tra_1000_piedi,",
	L"Tra_11",
	L"Tra_110",
	L"Tra_12",
	L"Tra_120",
	L"Tra_13",
	L"Tra_130",
	L"Tra_14",
	L"Tra_140",
	L"Tra_15",
	L"Tra_150",
	L"Tra_16",
	L"Tra_160",
	L"Tra_17",
	L"Tra_170",
	L"Tra_18",
	L"Tra_180",
	L"Tra_19",
	L"Tra_190",
	L"Tra_1_2",
	L"Tra_1_4",
	L"Tra_1_6",
	L"Tra_1_8",
	L"Tra_1_chilometro",
	L"Tra_1_miglio,",
	L"Tra_2",
	L"Tra_20",
	L"Tra_200",
	L"Tra_22",
	L"Tra_220",
	L"Tra_24",
	L"Tra_240",
	L"Tra_26",
	L"Tra_260",
	L"Tra_28",
	L"Tra_280",
	L"Tra_2_2",
	L"Tra_2_4",
	L"Tra_2_6",
	L"Tra_2_8",
	L"Tra_3",
	L"Tra_30",
	L"Tra_300",
	L"Tra_32",
	L"Tra_320",
	L"Tra_34",
	L"Tra_340",
	L"Tra_36",
	L"Tra_360",
	L"Tra_38",
	L"Tra_380",
	L"Tra_3_2",
	L"Tra_3_4",
	L"Tra_3_6",
	L"Tra_3_8",
	L"Tra_4",
	L"Tra_40",
	L"Tra_400",
	L"Tra_45",
	L"Tra_450",
	L"Tra_4_2",
	L"Tra_4_4",
	L"Tra_4_6",
	L"Tra_4_8",
	L"Tra_5",
	L"Tra_50",
	L"Tra_500",
	L"Tra_55",
	L"Tra_550",
	L"Tra_5_2",
	L"Tra_5_4",
	L"Tra_5_6",
	L"Tra_5_8",
	L"Tra_6",
	L"Tra_60",
	L"Tra_600",
	L"Tra_65",
	L"Tra_650",
	L"Tra_6_2",
	L"Tra_6_4",
	L"Tra_6_6",
	L"Tra_6_8",
	L"Tra_7",
	L"Tra_70",
	L"Tra_700",
	L"Tra_75",
	L"Tra_750",
	L"Tra_7_2",
	L"Tra_7_4",
	L"Tra_7_6",
	L"Tra_7_8",
	L"Tra_8",
	L"Tra_80",
	L"Tra_800",
	L"Tra_85",
	L"Tra_850",
	L"Tra_8_2",
	L"Tra_8_4",
	L"Tra_8_6",
	L"Tra_8_8",
	L"Tra_9",
	L"Tra_90",
	L"Tra_900",
	L"Tra_95",
	L"Tra_950",
	L"Tra_9_2",
	L"Tra_9_4",
	L"Tra_9_6",
	L"Tra_9_8",
	L"a_quarters_of_a_mile,",
	L"a_quarters_of_a_mile-e",
	L"chilometri",
	L"chilometri-e",
	L"due_chilometri",
	L"due_chilometri-e",
	L"due_miglia,",
	L"due_miglia-e",
	L"guidi_per_oltre_500_miglia-e",
	L"half_a_mile",
	L"half_a_mile-e",
	L"i_chilometri",
	L"i_chilometri-e",
	L"i_metri",
	L"i_metri-e",
	L"i_miglia,",
	L"i_miglia-e",
	L"i_yarde,",
	L"i_yarde-e",
	L"miglia,",
	L"miglia-e",
	L"per_10",
	L"per_100",
	L"per_1000_piedi-e",
	L"per_11",
	L"per_110",
	L"per_12",
	L"per_120",
	L"per_13",
	L"per_130",
	L"per_14",
	L"per_140",
	L"per_15",
	L"per_150",
	L"per_16",
	L"per_160",
	L"per_17",
	L"per_170",
	L"per_18",
	L"per_180",
	L"per_19",
	L"per_190",
	L"per_1_2",
	L"per_1_4",
	L"per_1_6",
	L"per_1_8",
	L"per_1_chilometro-e",
	L"per_1_miglio-e",
	L"per_2",
	L"per_20",
	L"per_200",
	L"per_22",
	L"per_220",
	L"per_24",
	L"per_240",
	L"per_26",
	L"per_260",
	L"per_28",
	L"per_280",
	L"per_2_2",
	L"per_2_4",
	L"per_2_6",
	L"per_2_8",
	L"per_3",
	L"per_30",
	L"per_300",
	L"per_32",
	L"per_320",
	L"per_34",
	L"per_340",
	L"per_36",
	L"per_360",
	L"per_38",
	L"per_380",
	L"per_3_2",
	L"per_3_4",
	L"per_3_6",
	L"per_3_8",
	L"per_4",
	L"per_40",
	L"per_400",
	L"per_45",
	L"per_450",
	L"per_4_2",
	L"per_4_4",
	L"per_4_6",
	L"per_4_8",
	L"per_5",
	L"per_50",
	L"per_500",
	L"per_55",
	L"per_550",
	L"per_5_2",
	L"per_5_4",
	L"per_5_6",
	L"per_5_8",
	L"per_6",
	L"per_60",
	L"per_600",
	L"per_65",
	L"per_650",
	L"per_6_2",
	L"per_6_4",
	L"per_6_6",
	L"per_6_8",
	L"per_7",
	L"per_70",
	L"per_700",
	L"per_75",
	L"per_750",
	L"per_7_2",
	L"per_7_4",
	L"per_7_6",
	L"per_7_8",
	L"per_8",
	L"per_80",
	L"per_800",
	L"per_85",
	L"per_850",
	L"per_8_2",
	L"per_8_4",
	L"per_8_6",
	L"per_8_8",
	L"per_9",
	L"per_90",
	L"per_900",
	L"per_95",
	L"per_950",
	L"per_9_2",
	L"per_9_4",
	L"per_9_6",
	L"per_9_8",
	L"ta_chilometri",
	L"ta_chilometri-e",
	L"ta_metri",
	L"ta_metri-e",
	L"ta_miglia,",
	L"ta_miglia-e",
	L"ta_piedi,",
	L"ta_piedi-e",
	L"ta_yarde,",
	L"ta_yarde-e",
	L"ti_chilometri",
	L"ti_chilometri-e",
	L"ti_metri",
	L"ti_metri-e",
	L"ti_miglia,",
	L"ti_miglia-e",
	L"ti_yarde,",
	L"ti_yarde-e",
	L"to_chilometri",
	L"to_chilometri-e",
	L"to_metri",
	L"to_metri-e",
	L"to_miglia,",
	L"to_miglia-e",
	L"to_piedi,",
	L"to_piedi-e",
	L"to_yarde,",
	L"to_yarde-e",
	L"tro_chilometri",
	L"tro_chilometri-e",
	L"tro_miglia,",
	L"tro_miglia-e",
}

distances.meters = {
	10, "\6\129\2\0\129\10\129\3\0",
	20, "\34\130\5\0\129\38\130\6\0",
	30, "\49\129\123\0\129\53\129\124\0",
	40, "\64\129\123\0\129\68\129\124\0",
	50, "\73\129\123\0\129\77\129\124\0",
	60, "\82\129\123\0\129\86\129\124\0",
	70, "\91\129\123\0\129\95\129\124\0",
	80, "\100\129\123\0\129\104\129\124\0",
	90, "\109\129\123\0\129\113\129\124\0",
	100, "\7\130\13\0\129\11\130\14\0",
	110, "\10\129\2\0\129\14\129\3\0",
	120, "\12\130\5\0\129\16\130\6\0",
	130, "\14\129\123\0\129\18\129\124\0",
	140, "\16\129\123\0\129\20\129\124\0",
	150, "\18\129\123\0\129\22\129\124\0",
	160, "\20\129\123\0\129\24\129\124\0",
	170, "\22\129\123\0\129\26\129\124\0",
	180, "\24\129\123\0\129\28\129\124\0",
	190, "\26\129\123\0\129\30\129\124\0",
	200, "\35\130\13\0\129\39\130\14\0",
	220, "\37\130\5\0\129\41\130\6\0",
	240, "\39\129\123\0\129\43\129\124\0",
	260, "\41\129\123\0\129\45\129\124\0",
	280, "\43\129\123\0\129\47\129\124\0",
	300, "\50\130\13\0\129\54\130\14\0",
	320, "\52\130\5\0\129\56\130\6\0",
	340, "\54\129\123\0\129\58\129\124\0",
	360, "\56\129\123\0\129\60\129\124\0",
	380, "\58\129\123\0\129\62\129\124\0",
	400, "\65\130\13\0\129\69\130\14\0",
	450, "\67\129\123\0\129\71\129\124\0",
	500, "\74\130\13\0\129\78\130\14\0",
	550, "\76\129\123\0\129\80\129\124\0",
	600, "\83\130\13\0\129\87\130\14\0",
	650, "\85\129\123\0\129\89\129\124\0",
	700, "\92\130\13\0\129\96\130\14\0",
	750, "\94\129\123\0\129\98\129\124\0",
	800, "\101\130\13\0\129\105\130\14\0",
	850, "\103\129\123\0\129\107\129\124\0",
	900, "\110\130\13\0\129\114\130\14\0",
	950, "\112\129\123\0\129\116\129\124\0",
	1000, "\31\0\129\35\0",
	1200, "\27\121\0\129\31\122\0",
	1400, "\28\119\0\129\32\120\0",
	1600, "\29\119\0\129\33\120\0",
	1800, "\30\119\0\129\34\120\0",
	2000, "\33\119\0\129\37\120\0",
	2200, "\44\119\0\129\48\120\0",
	2400, "\45\119\0\129\49\120\0",
	2600, "\46\119\0\129\50\120\0",
	2800, "\47\119\0\129\51\120\0",
	3000, "\48\119\0\129\52\120\0",
	3200, "\59\119\0\129\63\120\0",
	3400, "\60\119\0\129\64\120\0",
	3600, "\61\119\0\129\65\120\0",
	3800, "\62\119\0\129\66\120\0",
	4000, "\63\119\0\129\67\120\0",
	4200, "\68\119\0\129\72\120\0",
	4400, "\69\119\0\129\73\120\0",
	4600, "\70\119\0\129\74\120\0",
	4800, "\71\119\0\129\75\120\0",
	5000, "\72\119\0\129\76\120\0",
	5200, "\77\119\0\129\81\120\0",
	5400, "\78\119\0\129\82\120\0",
	5600, "\79\119\0\129\83\120\0",
	5800, "\80\119\0\129\84\120\0",
	6000, "\81\119\0\129\85\120\0",
	6200, "\86\119\0\129\90\120\0",
	6400, "\87\119\0\129\91\120\0",
	6600, "\88\119\0\129\92\120\0",
	6800, "\89\119\0\129\93\120\0",
	7000, "\90\119\0\129\94\120\0",
	7200, "\95\119\0\129\99\120\0",
	7400, "\96\119\0\129\100\120\0",
	7600, "\97\119\0\129\101\120\0",
	7800, "\98\119\0\129\102\120\0",
	8000, "\99\119\0\129\103\120\0",
	8200, "\104\119\0\129\108\120\0",
	8400, "\105\119\0\129\109\120\0",
	8600, "\106\119\0\129\110\120\0",
	8800, "\107\119\0\129\111\120\0",
	9000, "\108\119\0\129\112\120\0",
	9200, "\113\119\0\129\117\120\0",
	9400, "\114\119\0\129\118\120\0",
	9600, "\115\119\0\129\119\120\0",
	9800, "\116\119\0\129\120\120\0",
	10000, "\6\129\0\0\129\10\129\1\0",
	11000, "\9\119\0\129\13\120\0",
	12000, "\11\119\0\129\15\120\0",
	13000, "\13\119\0\129\17\120\0",
	14000, "\15\119\0\129\19\120\0",
	15000, "\17\119\0\129\21\120\0",
	16000, "\19\119\0\129\23\120\0",
	17000, "\21\119\0\129\25\120\0",
	18000, "\23\119\0\129\27\120\0",
	19000, "\25\119\0\129\29\120\0",
	20000, "\34\130\3\0\129\38\130\4\0",
	22000, "\36\119\0\129\40\120\0",
	24000, "\38\130\21\0\129\42\130\22\0",
	26000, "\40\119\0\129\44\120\0",
	28000, "\42\130\11\0\129\46\130\12\0",
	30000, "\49\129\121\0\129\53\129\122\0",
	32000, "\51\119\0\129\55\120\0",
	34000, "\53\130\21\0\129\57\130\22\0",
	36000, "\55\119\0\129\59\120\0",
	38000, "\57\130\11\0\129\61\130\12\0",
	40000, "\64\129\121\0\129\68\129\122\0",
	45000, "\66\119\0\129\70\120\0",
	50000, "\73\129\121\0\129\77\129\122\0",
	55000, "\75\119\0\129\79\120\0",
	60000, "\82\129\121\0\129\86\129\122\0",
	65000, "\84\119\0\129\88\120\0",
	70000, "\91\129\121\0\129\95\129\122\0",
	75000, "\93\119\0\129\97\120\0",
	80000, "\100\129\121\0\129\104\129\122\0",
	85000, "\102\119\0\129\106\120\0",
	90000, "\109\129\121\0\129\113\129\122\0",
	95000, "\111\119\0\129\115\120\0",
	100000, "\7\130\11\0\129\11\130\12\0",
	110000, "\10\129\0\0\129\14\129\1\0",
	120000, "\12\130\3\0\129\16\130\4\0",
	130000, "\14\129\121\0\129\18\129\122\0",
	140000, "\16\129\121\0\129\20\129\122\0",
	150000, "\18\129\121\0\129\22\129\122\0",
	160000, "\20\129\121\0\129\24\129\122\0",
	170000, "\22\129\121\0\129\26\129\122\0",
	180000, "\24\129\121\0\129\28\129\122\0",
	190000, "\26\129\121\0\129\30\129\122\0",
	200000, "\35\130\11\0\129\39\130\12\0",
	220000, "\37\130\3\0\129\41\130\4\0",
	240000, "\39\129\121\0\129\43\129\122\0",
	260000, "\41\129\121\0\129\45\129\122\0",
	280000, "\43\129\121\0\129\47\129\122\0",
	300000, "\50\130\11\0\129\54\130\12\0",
	320000, "\52\130\3\0\129\56\130\4\0",
	340000, "\54\129\121\0\129\58\129\122\0",
	360000, "\56\129\121\0\129\60\129\122\0",
	380000, "\58\129\121\0\129\62\129\122\0",
	400000, "\65\130\11\0\129\69\130\12\0",
	450000, "\67\129\121\0\129\71\129\122\0",
	500000, "\74\130\11\0\129\78\130\12\0",
	510000, "\4\0\3\0",
}

distances.feet = {
	15, "\73\129\127\0\129\77\130\0\0",
	30, "\7\130\17\0\129\11\130\18\0",
	46, "\18\129\127\0\129\22\130\0\0",
	61, "\35\130\17\0\129\39\130\18\0",
	91, "\50\130\17\0\129\54\130\18\0",
	122, "\65\130\17\0\129\69\130\18\0",
	152, "\74\130\17\0\129\78\130\18\0",
	183, "\83\130\17\0\129\87\130\18\0",
	213, "\92\130\17\0\129\96\130\18\0",
	244, "\101\130\17\0\129\105\130\18\0",
	274, "\110\130\17\0\129\114\130\18\0",
	305, "\8\0\129\12\0",
	402, "\117\0\118\0",
	805, "\126\0\127\0",
	1127, "\1\0\2\0",
	1609, "\32\0\129\36\0",
	1931, "\27\123\0\129\31\124\0",
	2253, "\28\129\8\0\129\32\129\9\0",
	2575, "\29\129\8\0\129\33\129\9\0",
	2897, "\30\129\8\0\129\34\129\9\0",
	3219, "\33\129\8\0\129\37\129\9\0",
	3541, "\44\129\8\0\129\48\129\9\0",
	3862, "\45\129\8\0\129\49\129\9\0",
	4184, "\46\129\8\0\129\50\129\9\0",
	4506, "\47\129\8\0\129\51\129\9\0",
	4828, "\48\129\8\0\129\52\129\9\0",
	5150, "\59\129\8\0\129\63\129\9\0",
	5472, "\60\129\8\0\129\64\129\9\0",
	5794, "\61\129\8\0\129\65\129\9\0",
	6116, "\62\129\8\0\129\66\129\9\0",
	6437, "\63\129\8\0\129\67\129\9\0",
	6759, "\68\129\8\0\129\72\129\9\0",
	7081, "\69\129\8\0\129\73\129\9\0",
	7403, "\70\129\8\0\129\74\129\9\0",
	7725, "\71\129\8\0\129\75\129\9\0",
	8047, "\72\129\8\0\129\76\129\9\0",
	8369, "\77\129\8\0\129\81\129\9\0",
	8690, "\78\129\8\0\129\82\129\9\0",
	9012, "\79\129\8\0\129\83\129\9\0",
	9334, "\80\129\8\0\129\84\129\9\0",
	9656, "\72\129\8\0\129\76\129\9\0",
	9978, "\86\129\8\0\129\90\129\9\0",
	10300, "\87\129\8\0\129\91\129\9\0",
	10622, "\88\129\8\0\129\92\129\9\0",
	10944, "\89\129\8\0\129\93\129\9\0",
	11265, "\90\129\8\0\129\94\129\9\0",
	11587, "\95\129\8\0\129\99\129\9\0",
	11909, "\96\129\8\0\129\100\129\9\0",
	12231, "\97\129\8\0\129\101\129\9\0",
	12553, "\98\129\8\0\129\102\129\9\0",
	12875, "\99\129\8\0\129\103\129\9\0",
	13197, "\104\129\8\0\129\108\129\9\0",
	13518, "\105\129\8\0\129\109\129\9\0",
	13840, "\106\129\8\0\129\110\129\9\0",
	14162, "\107\129\8\0\129\111\129\9\0",
	14484, "\108\129\8\0\129\112\129\9\0",
	14806, "\113\129\8\0\129\117\129\9\0",
	15128, "\114\129\8\0\129\118\129\9\0",
	15450, "\115\129\8\0\129\119\129\9\0",
	15772, "\116\129\8\0\129\120\129\9\0",
	16093, "\6\129\4\0\129\10\129\5\0",
	17703, "\9\129\8\0\129\13\129\9\0",
	19312, "\11\129\8\0\129\15\129\9\0",
	20921, "\13\129\8\0\129\17\129\9\0",
	22531, "\15\129\8\0\129\19\129\9\0",
	24140, "\17\129\8\0\129\21\129\9\0",
	25750, "\19\129\8\0\129\23\129\9\0",
	27359, "\21\129\8\0\129\25\129\9\0",
	28968, "\23\129\8\0\129\27\129\9\0",
	30578, "\25\129\8\0\129\29\129\9\0",
	32187, "\34\130\7\0\129\38\130\8\0",
	35406, "\36\129\8\0\129\40\129\9\0",
	38624, "\38\130\23\0\129\42\130\24\0",
	41843, "\40\129\8\0\129\44\129\9\0",
	45062, "\42\130\15\0\129\46\130\16\0",
	48280, "\49\129\125\0\129\53\129\126\0",
	51499, "\51\129\8\0\129\55\129\9\0",
	54718, "\53\130\23\0\129\57\130\24\0",
	57936, "\55\129\8\0\129\59\129\9\0",
	61155, "\57\130\15\0\129\61\130\16\0",
	64374, "\64\129\125\0\129\68\129\126\0",
	72420, "\66\129\8\0\129\70\129\9\0",
	80467, "\73\129\125\0\129\77\129\126\0",
	88514, "\75\129\8\0\129\79\129\9\0",
	96561, "\82\129\125\0\129\86\129\126\0",
	104607, "\84\129\8\0\129\88\129\9\0",
	112654, "\91\129\125\0\129\95\129\126\0",
	120701, "\93\129\8\0\129\97\129\9\0",
	128748, "\100\129\125\0\129\104\129\126\0",
	136794, "\102\129\8\0\129\106\129\9\0",
	144841, "\109\129\125\0\129\113\129\126\0",
	152888, "\111\129\8\0\129\115\129\9\0",
	160934, "\7\130\15\0\129\11\130\16\0",
	177028, "\10\129\4\0\129\14\129\5\0",
	193121, "\12\130\7\0\129\16\130\8\0",
	209215, "\14\129\125\0\129\18\129\126\0",
	225308, "\16\129\125\0\129\20\129\126\0",
	241402, "\18\129\125\0\129\22\129\126\0",
	257495, "\20\129\125\0\129\24\129\126\0",
	273588, "\22\129\125\0\129\26\129\126\0",
	289682, "\24\129\125\0\129\28\129\126\0",
	305775, "\26\129\125\0\129\30\129\126\0",
	321869, "\35\130\15\0\129\39\130\16\0",
	354056, "\37\130\7\0\129\41\130\8\0",
	386243, "\39\129\125\0\129\43\129\126\0",
	418429, "\41\129\125\0\129\45\129\126\0",
	450616, "\43\129\125\0\129\47\129\126\0",
	482803, "\50\130\15\0\129\54\130\16\0",
	514990, "\52\130\7\0\129\56\130\8\0",
	547177, "\54\129\125\0\129\58\129\126\0",
	579364, "\56\129\125\0\129\60\129\126\0",
	611551, "\58\129\125\0\129\62\129\126\0",
	643738, "\65\130\15\0\129\69\130\16\0",
	724205, "\67\129\125\0\129\71\129\126\0",
	804672, "\74\130\15\0\129\78\130\16\0",
	820765, "\5\0\125\0",
}

distances.yards = {
	9, "\6\129\6\0\129\10\129\7\0",
	18, "\34\130\9\0\129\38\130\10\0",
	27, "\49\130\1\0\129\53\130\2\0",
	37, "\64\130\1\0\129\68\130\2\0",
	46, "\73\130\1\0\129\77\130\2\0",
	55, "\82\130\1\0\129\86\130\2\0",
	64, "\91\130\1\0\129\95\130\2\0",
	73, "\100\130\1\0\129\104\130\2\0",
	82, "\109\130\1\0\129\113\130\2\0",
	91, "\7\130\19\0\129\11\130\20\0",
	101, "\10\129\6\0\129\14\129\7\0",
	110, "\12\130\9\0\129\16\130\10\0",
	119, "\14\130\1\0\129\18\130\2\0",
	128, "\16\130\1\0\129\20\130\2\0",
	137, "\18\130\1\0\129\22\130\2\0",
	146, "\20\130\1\0\129\24\130\2\0",
	155, "\22\130\1\0\129\26\130\2\0",
	165, "\24\130\1\0\129\28\130\2\0",
	174, "\26\130\1\0\129\30\130\2\0",
	183, "\35\130\19\0\129\39\130\20\0",
	201, "\37\130\9\0\129\41\130\10\0",
	219, "\39\130\1\0\129\43\130\2\0",
	238, "\41\130\1\0\129\45\130\2\0",
	256, "\43\130\1\0\129\47\130\2\0",
	274, "\50\130\1\0\129\54\130\2\0",
	293, "\52\130\9\0\129\56\130\10\0",
	311, "\54\130\1\0\129\58\130\2\0",
	329, "\56\130\1\0\129\60\130\2\0",
	347, "\58\130\1\0\129\62\130\2\0",
	366, "\65\130\19\0\129\69\130\20\0",
	402, "\117\0\118\0",
	805, "\126\0\127\0",
	1127, "\1\0\2\0",
	1609, "\32\0\129\36\0",
	1931, "\27\123\0\129\31\124\0",
	2253, "\28\129\8\0\129\32\129\9\0",
	2575, "\29\129\8\0\129\33\129\9\0",
	2897, "\30\129\8\0\129\34\129\9\0",
	3219, "\33\129\8\0\129\37\129\9\0",
	3541, "\44\129\8\0\129\48\129\9\0",
	3862, "\45\129\8\0\129\49\129\9\0",
	4184, "\46\129\8\0\129\50\129\9\0",
	4506, "\47\129\8\0\129\51\129\9\0",
	4828, "\48\129\8\0\129\52\129\9\0",
	5150, "\59\129\8\0\129\63\129\9\0",
	5472, "\60\129\8\0\129\64\129\9\0",
	5794, "\61\129\8\0\129\65\129\9\0",
	6116, "\62\0\129\66\0",
	6437, "\63\129\8\0\129\67\129\9\0",
	6759, "\68\129\8\0\129\72\129\9\0",
	7081, "\69\129\8\0\129\73\129\9\0",
	7403, "\70\129\8\0\129\74\129\9\0",
	7725, "\71\129\8\0\129\75\129\9\0",
	8047, "\72\129\8\0\129\76\129\9\0",
	8369, "\77\129\8\0\129\81\129\9\0",
	8690, "\78\129\8\0\129\82\129\9\0",
	9012, "\79\129\8\0\129\83\129\9\0",
	9334, "\80\129\8\0\129\84\129\9\0",
	9656, "\72\129\8\0\129\76\129\9\0",
	9978, "\86\129\8\0\129\90\129\9\0",
	10300, "\87\129\8\0\129\91\129\9\0",
	10622, "\88\129\8\0\129\92\129\9\0",
	10944, "\89\129\8\0\129\93\129\9\0",
	11265, "\90\129\8\0\129\94\129\9\0",
	11587, "\95\129\8\0\129\99\129\9\0",
	11909, "\96\129\8\0\129\100\129\9\0",
	12231, "\97\129\8\0\129\101\129\9\0",
	12553, "\98\129\8\0\129\102\129\9\0",
	12875, "\99\129\8\0\129\103\129\9\0",
	13197, "\104\129\8\0\129\108\129\9\0",
	13518, "\105\129\8\0\129\109\129\9\0",
	13840, "\106\129\8\0\129\110\129\9\0",
	14162, "\107\129\8\0\129\111\129\9\0",
	14484, "\108\129\8\0\129\112\129\9\0",
	14806, "\113\129\8\0\129\117\129\9\0",
	15128, "\114\129\8\0\129\118\129\9\0",
	15450, "\115\129\8\0\129\119\129\9\0",
	15772, "\116\129\8\0\129\120\129\9\0",
	16093, "\6\129\4\0\129\10\129\5\0",
	17703, "\9\129\8\0\129\13\129\9\0",
	19312, "\11\129\8\0\129\15\129\9\0",
	20921, "\13\129\8\0\129\17\129\9\0",
	22531, "\15\129\8\0\129\19\129\9\0",
	24140, "\17\129\8\0\129\21\129\9\0",
	25750, "\19\129\8\0\129\23\129\9\0",
	27359, "\21\129\8\0\129\25\129\9\0",
	28968, "\23\129\8\0\129\27\129\9\0",
	30578, "\25\129\8\0\129\29\129\9\0",
	32187, "\34\130\7\0\129\38\130\8\0",
	35406, "\36\129\8\0\129\40\129\9\0",
	38624, "\38\130\23\0\129\42\130\24\0",
	41843, "\40\129\8\0\129\44\129\9\0",
	45062, "\42\130\15\0\129\46\130\16\0",
	48280, "\49\129\125\0\129\53\129\126\0",
	51499, "\51\129\8\0\129\55\129\9\0",
	54718, "\53\130\23\0\129\57\130\24\0",
	57936, "\55\129\8\0\129\59\129\9\0",
	61155, "\57\130\15\0\129\61\130\16\0",
	64374, "\64\129\125\0\129\68\129\126\0",
	72420, "\66\129\8\0\129\70\129\9\0",
	80467, "\73\129\125\0\129\77\129\126\0",
	88514, "\75\129\8\0\129\79\129\9\0",
	96561, "\82\129\125\0\129\86\129\126\0",
	104607, "\84\129\8\0\129\88\129\9\0",
	112654, "\91\129\125\0\129\95\129\126\0",
	120701, "\93\129\8\0\129\97\129\9\0",
	128748, "\100\129\125\0\129\104\129\126\0",
	136794, "\102\129\8\0\129\106\129\9\0",
	144841, "\109\129\125\0\129\113\129\126\0",
	152888, "\111\129\8\0\129\115\129\9\0",
	160934, "\7\130\15\0\129\11\130\16\0",
	177028, "\10\129\4\0\129\14\129\5\0",
	193121, "\12\130\7\0\129\16\130\8\0",
	209215, "\14\129\125\0\129\18\129\126\0",
	225308, "\16\129\125\0\129\20\129\126\0",
	241402, "\18\129\125\0\129\22\129\126\0",
	257495, "\20\129\125\0\129\24\129\126\0",
	273588, "\22\129\125\0\129\26\129\126\0",
	289682, "\24\129\125\0\129\28\129\126\0",
	305775, "\26\129\125\0\129\30\129\126\0",
	321869, "\35\130\15\0\129\39\130\16\0",
	354056, "\37\130\7\0\129\41\130\8\0",
	386243, "\39\129\125\0\129\43\129\126\0",
	418429, "\41\129\125\0\129\45\129\126\0",
	450616, "\43\129\125\0\129\47\129\126\0",
	482803, "\50\130\15\0\129\54\130\16\0",
	514990, "\52\130\7\0\129\56\130\8\0",
	547177, "\54\129\125\0\129\58\129\126\0",
	579364, "\56\129\125\0\129\60\129\126\0",
	611551, "\58\129\125\0\129\62\129\126\0",
	643738, "\65\130\15\0\129\69\130\16\0",
	724205, "\67\129\125\0\129\71\129\126\0",
	804672, "\74\130\15\0\129\78\130\16\0",
	820765, "\5\0\125\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
}

